vbi_link Struct Reference
High Level Decoding » Events

`#include <event.h>`

## Data Fields

vbi_link_type | type
vbi_bool | eacem
signed char | name [80]
signed char | url [256]
signed char | script [256]
vbi_nuid | nuid
vbi_pgno | pgno
vbi_subno | subno
double | expires
vbi_itv_type | itv_type
int | priority
vbi_bool | autoload

## Detailed Description

General purpose link description for ATVEF (ITV, WebTV in the United States) and EACEM (SuperTeletext et al in Europe) triggers, Teletext TOP and FLOF navigation, and for links "guessed" by libzvbi from the text (e. g. page numbers and URLs). Usually not all fields will be used.

## Field Documentation

## type

vbi_link_type vbi_link::type

See vbi_link_type.

## eacem

vbi_bool vbi_link::eacem

Links can be obtained two ways, via VBI_EVENT_TRIGGER, then it arrived either through the EACEM or ATVEF transport method as flagged by this field. Or it is a navigational link returned by vbi_resolve_link(), then this field does not apply.

## name

signed char vbi_link::name[80]

Some descriptive text, Latin-1, possibly blank.

## script

signed char vbi_link::script[256]

A piece of ECMA script (Javascript), this may be used on WebTV or SuperTeletext pages to trigger some action. Usually blank.

## nuid

vbi_nuid vbi_link::nuid

Teletext page links (no Closed Caption counterpart) can can actually reach across networks. That happens for example when vbi_resolve_link() picked up a link on a page after we switch away from that channel, or with EACEM triggers deliberately pointing to a page on another network (sic!). So the network id (if known, otherwise 0) is part of the page number. See vbi_nuid.

## pgno

vbi_pgno vbi_link::pgno

pgno and subno Teletext page number, see vbi_pgno, vbi_subno.

## expires

double vbi_link::expires

The time in seconds and fractions since 1970-01-01 00:00 when the link should no longer be offered to the user, similar to a HTTP cache expiration date.

## itv_type

vbi_itv_type vbi_link::itv_type

See vbi_itv_type. This field applies only to ATVEF triggers, is otherwise `VBI_WEBLINK_UNKNOWN`.

## priority

int vbi_link::priority

Trigger priority. 0 = emergency, should never be blocked. 1 or 2 = "high", 3 ... 5 = "medium", 6 ... 9 = "low". The default is 9. Apart of filtering triggers, this is also used to determine at which priority multiple links should be presented to the user. This field applies only to EACEM triggers, is otherwise 9.

## autoload

vbi_bool vbi_link::autoload

Open the target without user confirmation. (Supposedly this flag will be used to trigger scripts, not to open pages, but I have yet to see such a trigger.)